<template>
  <div class="top">
    <div class="topleft">
      <div
        class="topleft1"
        :class="currView == 'chart' ? 'active' : ''"
        @click="OpenInitChart"
      >
        <img src="../../assets/img/Screen/bigST.png" />
        <span>大屏视图</span>
      </div>
      <!-- <div
        class="topleft1"
        @click="OpenProjectree"
        :class="currView == 'tree' ? 'active' : ''"
      >
        <img src="../../assets/img/Screen/ptree.png" />
        <span>工程项目</span>
      </div> -->
    </div>
    <div class="topCenter">
      <div>管网一张图</div>
    </div>
    <div class="topRight">
      <div
        class="topright1 toprightC"
        @click="ReturnLast"
      >
        <img src="../../assets/img/Screen/return.png" />
        <span>返回上级</span>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      tree: false,
      screen: false,
      currView: "chart",
    }
  },
  mounted() {
    // this.$bus.$on('changeProject', name => {
    //   if (name == '全国项目' || name == '全球项目') {
    //     this.OpenProjectree()
    //   }
    // })
  },
  methods: {
    ReturnLast() {
      sessionStorage.setItem("changeSelectStyle", 1);
      this.$router.push("/Synthesis")
    },

    //打开大屏
    OpenInitChart() {
      this.currView = "chart"
      this.screen = true
      this.$parent.$refs.mapleft.OpenLeftInit()
      this.$parent.$refs.mapright.OpenLeftInit()
    },

    //打开工程树
    OpenProjectree() {
      this.screen = false
      this.currView = "tree"
      this.$parent.$refs.mapleft.OpenLeftProjectTree()
      this.$parent.$refs.mapright.OpenLeftProjectTree()
    },
  },
}
</script>
<style lang="less">
.top {
  height: 100%;
  width: 100%;
  background-image: url(../../assets/img/Screen/logobg.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: row;
  .topleft {
    width: 20%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    // justify-content: space-around;
    cursor: pointer;
    .topleft1 {
      width: 127px;
      height: 36px;
      // border: 1px solid #30acff;
      border-radius: 4px;
      background-image: url(../../assets/img/Screen/btnbg.png);
      background-repeat: no-repeat;
      background-size: 100% 100%;
      display: flex;
      align-items: center;
      margin-left: 10%;
    }
    .active {
      background-image: url(../../assets/img/Screen/btnc.png);
      background-repeat: no-repeat;
      background-size: 100% 100%;
    }
    img {
      height: 26px;
      width: 32px;
      margin: 0px 8px;
    }
    span {
      color: #b3c8e3;
      font-size: 1rem;
      letter-spacing: 1px;
    }
  }
  .topCenter {
    width: 60%;
    height: 100%;
    font-size: 36px;
    font-family: PangMenZhengDao, PangMenZhengDao-Regular;
    // font-weight: bold;
    font-style: italic;
    text-align: center;
    color: #e1eaff;
    letter-spacing: 6.55px;
    text-shadow: -14px 0px 25.25px 0.26px rgba(0, 120, 255, 0.19);
    div {
      margin-top: 5px;
    }
  }
  .topRight {
    width: 20%;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: flex-end;
    cursor: pointer;
    .topright1 {
      width: 131px;
      height: 40px;
      background-image: url(../../assets/img/Screen/btnc.png);
      background-repeat: no-repeat;
      background-size: 100% 100%;
      display: flex;
      align-items: center;
      margin-right: 10%;
    }
    .toprightC {
      width: 131px;
      height: 40px;
      background-image: url(../../assets/img/Screen/btnbg.png);
      background-repeat: no-repeat;
      background-size: 100% 100%;
      display: flex;
      align-items: center;
      margin-right: 10%;
    }
    img {
      height: 26px;
      width: 32px;
      margin: 0px 8px;
    }
    span {
      color: #b3c8e3;
      font-size: 1rem;
      letter-spacing: 1px;
    }
  }
}
</style>
